org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionImportData

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionImportData

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionImportData
    extends PDAction

Author:
  Timur Kamalov

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionImportData()` Default constructor.
`PDActionImportData(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDFileSpecification` `getFile()` This will get the file in which the destination is located.
`void` `setFile(PDFileSpecification fs)` This will set the file in which the destination is located.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionImportData

    public PDActionImportData()

Default constructor.

#### PDActionImportData

    public PDActionImportData(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getFile

    public PDFileSpecification getFile()
                                throws IOException

This will get the file in which the destination is located.

Returns:
  The F entry of the specific Submit-From action dictionary.
Throws:
  `IOException` - If there is an error creating the file spec.

#### setFile

    public void setFile(PDFileSpecification fs)

This will set the file in which the destination is located.

Parameters:
  `fs` - The file specification.